mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

AssemblyVersionCompatibility defines the compatibility of an assembly with other versions of the same assembly, indicating if it cannot execute side-by-side with other versions (for example, due to conflicts over a device driver).

If no compatibility is specified, an assembly is side-by-side compatible in all scopes.

An assembly cannot be more specific with regard to exactly which previous versions it is not side-by-side compatible with. Therefore, if the AssemblyVersionCompatibility is specified, it means the assembly is non side-by-side with all know versions. If not specified, it means it is side-by-side with all known versions.

Defines the different types of assembly version compatibility. This feature is not available in version 1.0 of the .NET Framework.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Configuration.Assemblies.AssemblyVersionCompatibility To be added

  The assembly cannot execute with other versions if they are executing in the same application domain.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Configuration.Assemblies.AssemblyVersionCompatibility To be added

  The assembly cannot execute with other versions if they are executing on the same machine.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Configuration.Assemblies.AssemblyVersionCompatibility To be added

  The assembly cannot execute with other versions if they are executing in the same process.